Bug 1285691 - Radeon ring 0 stalled
Radeon ring 0 stalled
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 04:47 EST by David Juran
Modified: 2016-12-20 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2015-11-26 04:47:03 EST
Description of problem:
Once or twice a week, the graphics on my workstation locks up. In the log files the following messages are seen


Nov 26 09:51:10 localhost kernel: radeon 0000:01:00.0: ring 0 stalled for more than 10000msec
Nov 26 09:51:10 localhost kernel: radeon 0000:01:00.0: GPU lockup (current fence id 0x000000000002f38f last fence id 0x000000000002f391 on ring 0)

this message is repeated very fast

Then, a bit further down:

Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: GPU lockup (current fence id 0x000000000002f38f last fence id 0x000000000002f391 on ring 0)
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: Saved 79 dwords of commands on ring 0.
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: GPU softreset: 0x00000008
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS               = 0xA0003828
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0x00000007
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0x00000007
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS               = 0x200000C0
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS2              = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0x00010100
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0x00020180
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008680_CP_STAT          = 0x80038042
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0x44C83D57
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00D834_DMA_STATUS_REG   = 0x44C83D57
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT0_PROTECTION_FAULT_ADDR   0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT0_PROTECTION_FAULT_STATUS 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: GRBM_SOFT_RESET=0x00004001
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: SRBM_SOFT_RESET=0x00000100
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS               = 0x00003828
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0x00000007
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0x00000007
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS               = 0x200000C0
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS2              = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_008680_CP_STAT          = 0x00000000
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0x44C83D57
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0:   R_00D834_DMA_STATUS_REG   = 0x44C83D57
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: GPU reset succeeded, trying to resume
Nov 26 09:51:30 localhost kernel: [drm] enabling PCIE gen 2 link speeds, disable with radeon.pcie_gen2=0
Nov 26 09:51:30 localhost kernel: [drm] PCIE GART of 1024M enabled (table at 0x0000000000274000).
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: WB enabled

Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0xffff88041935ac00
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000072118 and cpu addr 0xffffc90002032118
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0xffff88041935ac04
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0xffff88041935ac08
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0xffff88041935ac0c
Nov 26 09:51:30 localhost kernel: radeon 0000:01:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0xffff88041935ac10
Nov 26 09:51:30 localhost kernel: [drm:r600_ring_test [radeon]] *ERROR* radeon: ring 0 test failed (scratch(0x8504)=0xCAFEDEAD)
Nov 26 09:51:30 localhost kernel: [drm:cayman_resume [radeon]] *ERROR* cayman startup failed on resume
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:30 localhost kernel: WARNING: CPU: 0 PID: 2783 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:30 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:30 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:30 localhost kernel: CPU: 0 PID: 2783 Comm: gnome-shell Not tainted 4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:30 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:30 localhost kernel: 0000000000000000 00000000666a0d39 ffff8803e9efbb48 ffffffff817729ea
Nov 26 09:51:30 localhost kernel: 0000000000000000 0000000000000000 ffff8803e9efbb88 ffffffff8109e4b6
Nov 26 09:51:30 localhost kernel: ffff88041871da7c ffff8803c4a27c68 ffff8803c4a27c00 ffffffffffffffff
Nov 26 09:51:30 localhost kernel: Call Trace:
Nov 26 09:51:30 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:30 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:30 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:30 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:30 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:30 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:30 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffff811d121e>] ? __do_fault+0x4e/0xf0
Nov 26 09:51:30 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:30 localhost kernel: [<ffffffff811d6358>] ? handle_mm_fault+0xf58/0x17d0
Nov 26 09:51:30 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:30 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:30 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:30 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:30 localhost kernel: [<ffffffff810656cf>] ? do_page_fault+0x2f/0x80
Nov 26 09:51:30 localhost kernel: [<ffffffff810238e5>] ? syscall_trace_leave+0xb5/0x110
Nov 26 09:51:30 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:30 localhost kernel: ---[ end trace ebdd75d9caf49a45 ]---
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:30 localhost gnome-shell.desktop: radeon: The kernel rejected CS, see dmesg for more information.
Nov 26 09:51:40 localhost kernel: radeon 0000:01:00.0: ring 0 stalled for more than 10362msec
Nov 26 09:51:40 localhost kernel: radeon 0000:01:00.0: GPU lockup (current fence id 0x000000000002f38f last fence id 0x000000000002f391 on ring 0)
Nov 26 09:51:41 localhost kernel: radeon 0000:01:00.0: ring 0 stalled for more than 10862msec
Nov 26 09:51:41 localhost kernel: radeon 0000:01:00.0: GPU lockup (current fence id 0x000000000002f38f last fence id 0x000000000002f391 on ring 0)
Nov 26 09:51:41 localhost kernel: radeon 0000:01:00.0: ring 0 stalled for more than 11362msec


Even further down:

Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t
_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6t
able_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: ffff8800beda1600 ffff8803d0b56468 ffff8803d0b56400 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff810238e5>] ? syscall_trace_leave+0xb5/0x110
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a46 ]---
Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b54c68 ffff8803d0b54c00 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a47 ]---
Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b54068 ffff8803d0b54000 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a48 ]---
Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b51468 ffff8803d0b51400 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a49 ]---
Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b50068 ffff8803d0b50000 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a4a ]---
ov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b52468 ffff8803d0b52400 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a4b ]---
Nov 26 09:51:51 localhost kernel: ------------[ cut here ]------------
Nov 26 09:51:51 localhost kernel: WARNING: CPU: 2 PID: 2408 at drivers/gpu/drm/radeon/radeon_object.c:83 radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]()
Nov 26 09:51:51 localhost kernel: Modules linked in: xt_REDIRECT nf_nat_redirect xt_hl fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp snd_pcm kvm_intel snd_timer kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul
Nov 26 09:51:51 localhost kernel: crc32_pclmul snd mxm_wmi eeepc_wmi asus_wmi sparse_keymap rfkill crc32c_intel soundcore mei_me mei shpchp i2c_i801 lpc_ich video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm serio_raw drm e1000e firewire_ohci firewire_core crc_itu_t ptp pps_core
Nov 26 09:51:51 localhost kernel: CPU: 2 PID: 2408 Comm: Xorg Tainted: G        W       4.2.6-300.fc23.x86_64 #1
Nov 26 09:51:51 localhost kernel: Hardware name: System manufacturer System Product Name/P8Z68-V PRO GEN3, BIOS 0402 11/16/2011
Nov 26 09:51:51 localhost kernel: 0000000000000000 00000000a06b5f7f ffff880419a23b48 ffffffff817729ea
Nov 26 09:51:51 localhost kernel: 0000000000000000 0000000000000000 ffff880419a23b88 ffffffff8109e4b6
Nov 26 09:51:51 localhost kernel: 0000000000000000 ffff8803d0b52c68 ffff8803d0b52c00 ffffffffffffffff
Nov 26 09:51:51 localhost kernel: Call Trace:
Nov 26 09:51:51 localhost kernel: [<ffffffff817729ea>] dump_stack+0x45/0x57
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff8109e5ea>] warn_slowpath_null+0x1a/0x20
Nov 26 09:51:51 localhost kernel: [<ffffffffa016bcf0>] radeon_ttm_bo_destroy+0xe0/0xf0 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa01020a6>] ttm_bo_release_list+0xa6/0x150 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa010249d>] ttm_bo_release+0x19d/0x230 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0102554>] ttm_bo_unref+0x24/0x30 [ttm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa016c1e9>] radeon_bo_unref+0x39/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa017f307>] radeon_gem_object_free+0x57/0x70 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090047>] drm_gem_object_free+0x27/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa009042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa00904e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0091365>] drm_ioctl+0x125/0x610 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa0090b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
Nov 26 09:51:51 localhost kernel: [<ffffffffa014d04c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
Nov 26 09:51:51 localhost kernel: [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
Nov 26 09:51:51 localhost kernel: [<ffffffff813294dd>] ? selinux_file_ioctl+0x4d/0xc0
Nov 26 09:51:51 localhost kernel: [<ffffffff81231699>] SyS_ioctl+0x79/0x90
Nov 26 09:51:51 localhost kernel: [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 26 09:51:51 localhost kernel: ---[ end trace ebdd75d9caf49a4c ]---


There's quite a few of these traces....



Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.6.0-0.4.20150729git5510cd6.fc23.x86_64
kernel-4.2.6-300.fc23.x86_64

Additional info:
# lspci 
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cayman/Antilles HDMI Audio [Radeon HD 6900 Series]
Comment 1 David Juran 2015-11-27 02:51:12 EST
Trying setting radeon.dpm=0 on the kernel command-line
Comment 2 David Juran 2015-11-27 03:20:14 EST
echo low > /sys/class/drm/card0/device/power_profile 
might also be a good idea unless you enjoy the sound of a jet-engine under your desk when dpm is disabled...
Comment 3 David Juran 2015-12-06 07:05:55 EST
This morning (well, it's a Sunday morning) similar issue happened again, with radeon.dpm disabled:

Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: ring 0 stalled for more than 10000msec
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: GPU lockup (current fence id 0x0000000000003b78 last fence id 0x0000000000003b7c on ring 0)
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: Saved 143 dwords of commands on ring 0.
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: GPU softreset: 0x00000008
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS               = 0xA0003828
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0x00000007
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0x00000007
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS               = 0x200000C0
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS2              = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0x00010100
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0x00020180
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008680_CP_STAT          = 0x80038042
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0x44C83D57
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00D834_DMA_STATUS_REG   = 0x44C83D57
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT0_PROTECTION_FAULT_ADDR   0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT0_PROTECTION_FAULT_STATUS 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: GRBM_SOFT_RESET=0x00004001
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: SRBM_SOFT_RESET=0x00000100
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS               = 0x00003828
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0x00000007
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0x00000007
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS               = 0x200000C0
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   SRBM_STATUS2              = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_008680_CP_STAT          = 0x00000000
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0x44C83D57
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0:   R_00D834_DMA_STATUS_REG   = 0x44C83D57
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: GPU reset succeeded, trying to resume
Dec  6 12:44:35 localhost kernel: [drm] enabling PCIE gen 2 link speeds, disable with radeon.pcie_gen2=0
Dec  6 12:44:35 localhost kernel: [drm] PCIE GART of 1024M enabled (table at 0x0000000000274000).
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: WB enabled
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0xffff880418314c00
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000072118 and cpu addr 0xffffc90002032118
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0xffff880418314c04
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0xffff880418314c08
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0xffff880418314c0c
Dec  6 12:44:35 localhost kernel: radeon 0000:01:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0xffff880418314c10
Dec  6 12:44:35 localhost kernel: [drm:r600_ring_test [radeon]] *ERROR* radeon: ring 0 test failed (scratch(0x8504)=0xCAFEDEAD)
Dec  6 12:44:35 localhost kernel: [drm:cayman_resume [radeon]] *ERROR* cayman startup failed on resume
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE)
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) Backtrace:
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 0: /usr/libexec/Xorg (mieqEnqueue+0x253) [0x578753]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 1: /usr/libexec/Xorg (QueuePointerEvents+0x52) [0x44f352]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x30eb) [0x7f373d900dfb]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 3: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x3855) [0x7f373d902035]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 4: /usr/libexec/Xorg (DPMSSupported+0xe8) [0x4769c8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 5: /usr/libexec/Xorg (xf86SerialModemClearBits+0x2b2) [0x49fe62]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 6: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f3748072b1f]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 7: /lib64/libc.so.6 (ioctl+0x5) [0x7f3748136705]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f3749414fc8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 9: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f3749417b4b]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 10: /lib64/libdrm_radeon.so.1 (_init+0x481) [0x7f3742959eb1]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 11: /lib64/libdrm_radeon.so.1 (_init+0x6c4) [0x7f374295a344]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 12: /usr/lib64/xorg/modules/drivers/radeon_drv.so (_init+0x2a89a) [0x7f3742bc3d7a]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 13: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x123b) [0x7f3741f228bb]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 14: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x3a2f) [0x7f3741f278af]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 15: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x48a3) [0x7f3741f31ee3]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 16: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x1680) [0x7f3741f2bdd0]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 17: /usr/libexec/Xorg (DamageRegionAppend+0x621) [0x51eeb1]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 18: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x2758) [0x7f3741f2ded8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 19: /usr/libexec/Xorg (AddTraps+0x4cf2) [0x519d82]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 20: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 21: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 22: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f374805e580]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 23: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 24: ? (?+0x29) [0x29]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE)
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) [mi] mieq is *NOT* the cause.  It is a victim.
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) [mi] EQ overflow continuing.  100 events have been dropped.
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE)
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) Backtrace:
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 0: /usr/libexec/Xorg (QueuePointerEvents+0x52) [0x44f352]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 1: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x30eb) [0x7f373d900dfb]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x3855) [0x7f373d902035]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 3: /usr/libexec/Xorg (DPMSSupported+0xe8) [0x4769c8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 4: /usr/libexec/Xorg (xf86SerialModemClearBits+0x2b2) [0x49fe62]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 5: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f3748072b1f]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 6: /lib64/libc.so.6 (ioctl+0x5) [0x7f3748136705]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 7: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f3749414fc8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 8: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f3749417b4b]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 9: /lib64/libdrm_radeon.so.1 (_init+0x481) [0x7f3742959eb1]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 10: /lib64/libdrm_radeon.so.1 (_init+0x6c4) [0x7f374295a344]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 11: /usr/lib64/xorg/modules/drivers/radeon_drv.so (_init+0x2a89a) [0x7f3742bc3d7a]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 12: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x123b) [0x7f3741f228bb]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 13: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x3a2f) [0x7f3741f278af]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 14: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x48a3) [0x7f3741f31ee3]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 15: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x1680) [0x7f3741f2bdd0]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 16: /usr/libexec/Xorg (DamageRegionAppend+0x621) [0x51eeb1]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 17: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x2758) [0x7f3741f2ded8]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 18: /usr/libexec/Xorg (AddTraps+0x4cf2) [0x519d82]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 19: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 20: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 21: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f374805e580]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 22: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE) 23: ? (?+0x29) [0x29]
Dec  6 12:44:36 localhost /usr/libexec/gdm-x-session: (EE)
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) [mi] EQ overflow continuing.  200 events have been dropped.
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) [mi] EQ overflow continuing.  200 events have been dropped.
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE)
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) Backtrace:
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 0: /usr/libexec/Xorg (QueuePointerEvents+0x52) [0x44f352]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 1: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x30eb) [0x7f373d900dfb]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 2: /usr/lib64/xorg/modules/input/evdev_drv.so (_init+0x3855) [0x7f373d902035]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 3: /usr/libexec/Xorg (DPMSSupported+0xe8) [0x4769c8]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 4: /usr/libexec/Xorg (xf86SerialModemClearBits+0x2b2) [0x49fe62]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 5: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f3748072b1f]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 6: /lib64/libc.so.6 (ioctl+0x5) [0x7f3748136705]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 7: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f3749414fc8]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 8: /lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f3749417b4b]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 9: /lib64/libdrm_radeon.so.1 (_init+0x481) [0x7f3742959eb1]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 10: /lib64/libdrm_radeon.so.1 (_init+0x6c4) [0x7f374295a344]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 11: /usr/lib64/xorg/modules/drivers/radeon_drv.so (_init+0x2a89a) [0x7f3742bc3d7a]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 12: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x123b) [0x7f3741f228bb]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 13: /usr/lib64/xorg/modules/libexa.so (exaMoveOutPixmap+0x3a2f) [0x7f3741f278af]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 14: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x48a3) [0x7f3741f31ee3]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 15: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x1680) [0x7f3741f2bdd0]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 16: /usr/libexec/Xorg (DamageRegionAppend+0x621) [0x51eeb1]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 17: /usr/lib64/xorg/modules/libexa.so (exaEnableDisableFBAccess+0x2758) [0x7f3741f2ded8]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 18: /usr/libexec/Xorg (AddTraps+0x4cf2) [0x519d82]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 19: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x4369bf]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 20: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 21: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f374805e580]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 22: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE) 23: ? (?+0x29) [0x29]
Dec  6 12:44:37 localhost /usr/libexec/gdm-x-session: (EE)



A large number of these backtraces exist... And then at some point, the kernel seem to have gone down entirely as the machine stopped responing to ping and also no further logs where available
Comment 4 David Juran 2015-12-11 02:03:37 EST
[david@localhost ~]$ sudo lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0100] (rev 09)
00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [8086:0101] (rev 09)
00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
00:19.0 Ethernet controller [0200]: Intel Corporation 82579V Gigabit Network Connection [8086:1503] (rev 05)
00:1a.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 05)
00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 05)
00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b5)
00:1c.1 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 [8086:1c12] (rev b5)
00:1c.2 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 [8086:1c14] (rev b5)
00:1c.3 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 [8086:1c16] (rev b5)
00:1c.4 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 [8086:1c18] (rev b5)
00:1c.6 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev b5)
00:1c.7 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 8 [8086:1c1e] (rev b5)
00:1d.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 05)
00:1f.0 ISA bridge [0601]: Intel Corporation Z68 Express Chipset Family LPC Controller [8086:1c44] (rev 05)
00:1f.2 SATA controller [0106]: Intel Corporation 6 Series/C200 Series Chipset Family SATA AHCI Controller [8086:1c02] (rev 05)
00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 05)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cayman PRO [Radeon HD 6950] [1002:6719]
01:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Cayman/Antilles HDMI Audio [Radeon HD 6900 Series] [1002:aa80]
03:00.0 USB controller [0c03]: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller [1b21:1042]
05:00.0 SATA controller [0106]: JMicron Technology Corp. JMB362 SATA Controller [197b:2362] (rev 10)
06:00.0 USB controller [0c03]: ASMedia Technology Inc. ASM1042 SuperSpeed USB Host Controller [1b21:1042]
07:00.0 PCI bridge [0604]: ASMedia Technology Inc. ASM1083/1085 PCIe to PCI Bridge [1b21:1080] (rev 01)
08:02.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev c0)
09:00.0 SATA controller [0106]: Marvell Technology Group Ltd. 88SE9172 SATA 6Gb/s Controller [1b4b:9172] (rev 11)
Comment 5 David Juran 2015-12-11 02:30:16 EST
Trying with creating the file /etc/profile.d/radeon.sh with the following content:
export R600_DEBUG=nodma

and then rebooting

Fan seem to be running harder then usual but not as hard as when DPM was disabled
Comment 6 Jérôme Glisse 2015-12-11 10:35:02 EST
this is just usual GPU lockup, hard to debug, best thing to do is find the smallest use case that trigger it (like launching application X and doing Y and Z in it trigger the lockup). All the error message with ttm in backtrace are outcome of first GPU lockup. Sadly recovering GPU from lockup state is not reliable without magic reset, i do not think AMD released that for this generation.
Comment 7 David Juran 2016-02-27 04:38:56 EST
Not really a solution to the problem in the ATI driver but some months ago I just uninstalled xorg-x11-drv-ati, my understanding is that it then falls back upon the modesetting driver. This has worked flawless without any performance degradations that I can notice.
Comment 8 David Juran 2016-05-26 07:03:53 EDT
I guess I spoke too soon, the problem still occurs with the modesetting driver, but my gut feeling is that it happens with much lower frequency
Comment 9 Fedora End Of Life 2016-11-24 08:45:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 11:18:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.